import { McpServer } from "@modelcontextprotocol/sdk/server/mcp.js";
/**
 * Registers the perplexity_search tool with the MCP server.
 * This tool utilizes the Perplexity API to perform a search-augmented query. It takes a natural language query, performs a web search using Perplexity's backend, and then uses an LLM (configured via environment variable) to synthesize an answer based on the search results. Optional parameters allow filtering the web search by recency or domain before the LLM processes the information.
 * @param server - The McpServer instance.
 */
export declare function registerPerplexitySearchTool(server: McpServer): void;
