export interface McpContent {
    type: "text";
    text: string;
}
export interface McpToolResponse {
    content: McpContent[];
    isError?: boolean;
}
export interface ResourceContent {
    uri: string;
    text: string;
    mimeType?: string;
}
export interface ResourceResponse {
    contents: ResourceContent[];
}
export interface PromptMessageContent {
    type: "text";
    text: string;
}
export interface PromptMessage {
    role: "user" | "assistant";
    content: PromptMessageContent;
}
export interface PromptResponse {
    messages: PromptMessage[];
}
export declare const createToolResponse: (text: string, isError?: boolean) => McpToolResponse;
export declare const createResourceResponse: (uri: string, text: string, mimeType?: string) => ResourceResponse;
export declare const createPromptResponse: (text: string, role?: "user" | "assistant") => PromptResponse;
