import { RequestContext } from './requestContext.js';
type SearchMode = 'high' | 'medium' | 'low';
interface UsageData {
    prompt_tokens: number;
    completion_tokens: number;
    total_tokens: number;
}
/**
 * Calculates the estimated cost of a Perplexity API call.
 * Prioritizes the new pricing model if applicable, falls back to legacy otherwise.
 *
 * @param model - The name of the Perplexity model used.
 * @param usage - The token usage data from the API response.
 * @param searchMode - The search mode used (optional, for new pricing).
 * @param context - The request context for logging.
 * @returns The estimated cost in USD, or null if pricing info is unavailable.
 */
export declare function calculatePerplexityCost(model: string, usage: UsageData, searchMode: SearchMode | undefined | null, // Allow undefined/null
context: RequestContext): number | null;
export declare const costTracker: {
    calculatePerplexityCost: typeof calculatePerplexityCost;
};
export {};
